# frozen_string_literal: true

module Docker2plantuml
  class DockerContainer
    attr_accessor :container_name, :status, :network_setting, :port_info_list

    def initialize(name, status)
      @container_name = name
      @status = status
      @port_info_list = []
    end

    def server_port_list
      @port_info_list
        .map(&:host_port)
        .select { |p| p.is_a? String }
    end
  end

  class NetworkSetting
    attr_accessor :network_name

    def initialize(name)
      @network_name = name
    end
  end

  class PortInfo
    attr_accessor :container_port, :host_port

    def initialize(port, host_port = nil)
      @container_port = port
      @host_port = host_port
    end
  end
end
